/* ScrolledLayout.java
 *
 * Jim McBeath, July 17, 1998
 */

package jimmc.roots;

import jimmc.treepar.Layout;
import jimmc.treepar.LayoutPanel;

import javax.swing.JScrollPane;
import java.awt.Component;
import java.awt.Dimension;

/** A LayoutPanel within a scroll pane.
 */
public class ScrolledLayout extends JScrollPane {
	int requestedWidth;
	int requestedHeight;
	/** Our actual layout area. */
	protected LayoutPanel layoutPanel;

	/** Create a scroll pane of the given pixel size. */
	public ScrolledLayout(int width, int height) {
		super();
		requestedWidth = width;
		requestedHeight = height;
		layoutPanel = createLayoutPanel();
		setViewportView(layoutPanel);
	}
	
	/** Create our text area. */
	protected LayoutPanel createLayoutPanel() {
		return new LayoutPanel(null);
	}

	/** Return the size passed to the constructor. */
	public Dimension getPreferredSize() {
		return new Dimension(requestedWidth,requestedHeight);
	}

	/** Get the text area. */
	public LayoutPanel getLayoutPanel() {
		return layoutPanel;
	}

	/** Set the layout. */
	public void setLayout(Layout layout) {
		layoutPanel.setLayout(layout);
	}

	/** Get the component to print. */
	public Component getPrinterComponent() {
		return layoutPanel;
	}
}

/* end */
