/* ScrolledText.java
 *
 * Jim McBeath, June 9, 1998
 */

package jimmc.roots;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import java.awt.Component;
import java.awt.Dimension;

/** A text area within a scroll pane.
 */
public class ScrolledText extends JScrollPane {
	int requestedWidth;
	int requestedHeight;
	/** Our actual text area. */
	protected JTextArea textArea;

	/** Create a scroll pane of the given pixel size. */
	public ScrolledText(int width, int height) {
		super();
		requestedWidth = width;
		requestedHeight = height;
		textArea = createTextArea();
		setViewportView(textArea);
	}
	
	/** Create our text area. */
	protected JTextArea createTextArea() {
		return new JTextArea();
	}

	/** Return the size passed to the constructor. */
	public Dimension getPreferredSize() {
		return new Dimension(requestedWidth,requestedHeight);
	}

	/** Get the text area. */
	public JTextArea getTextArea() {
		return textArea;
	}

	/** Append to the end of the text area. */
	public void append(String s) {
		textArea.append(s);
	}

	/** Set the text. */
	public void setText(String s) {
		textArea.setText(s);
	}

	/** Get the text. */
	public String getText() {
		return textArea.getText();
	}

	/** Get the component to print. */
	public Component getPrinterComponent() {
		return textArea;
	}
}

/* end */
