/* Copyright 1997 Jim McBeath
 *
 * Jim McBeath, January 23, 1997
 */

package jimmc.roots;

/** Compare two Strings for sorting */
class SortCompareStrings implements SortComparator {
	/** Compare two string to see if they are out of order.
	 * @param first first String as an Object
	 * @param second second String as an Object
	 * @return <0, 0, or >0 as the first item is less than, equal to,
	 *         or greater than the second item.
	 */
	public int compare(Object first, Object second) {
		int t = ((String)(first)).compareTo((String)second);
		return t;
	}
}

/** The Sort class is a repository for sorting routines. */
public class Sort {
	/** Sort an array using a default sort method.
	 * @param a input array to sort.  Sorts it in place.
	 * @param compare comparison object used to compare items in array.
	 */
	public static void sortArray(Object[] a, SortComparator compare) {
		bubbleSort(a,compare);
	}

	/** Sort an array using a bubble sort.
	 * @param a input array to sort.  Sorts it in place.
	 * @param compare comparison object used to compare items in array.
	 */
	public static void bubbleSort(Object[] a, SortComparator compare) {
		for (int i=a.length-1; i>0; i--) {
			boolean changed = false;
			for (int j=0; j<i; j++) {
				if (compare.compare(a[j],a[j+1])>0) {
					Object x = a[j];
					a[j] = a[j+1];
					a[j+1] = x;
					changed = true;
				}
			}
			if (!changed)
				break;
		}
	}

	/** Sort an array of Strings.
	 * @param a input array to sort.  Sorts it in place.
	 */
	public static void sortStrings(String[] a) {
		sortArray(a,new SortCompareStrings());
	}
}

/* end */
