/* JsIntegerField.java
 *
 * Jim McBeath, November 3, 2001
 */

package jimmc.swing;

/** A text editing field that accepts only integer data.
 */
public class JsIntegerField extends JsTextField {
	//TBD - modify keymap stuff so only valid strings can be entered

	/** Create an integer field. */
	public JsIntegerField(int width) {
		super(width);
	}

    //The EditField interface
	/** Get our value. */
	public Object getValue() {
		String s = getText();
		if (s==null || s.equals(""))
			return null;	//no value specified
		return Integer.valueOf(s);
	}
    //End EditField interface

	/** Get the value of our field as an int. */
	public int getIntValue(int dflt) {
		Integer ii = (Integer)getValue();
		if (ii==null)
			return dflt;
		return ii.intValue();
	}
}

/* end */
